import Vue from 'vue';
export declare const AppLogo: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    href: string;
    logoTitle: string;
    color: string;
    claim: boolean;
    claimLang: string;
    focusable: boolean;
}>;
export declare const AppMegaMenu: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    navigation: import("@telekom/scale-components/dist/types/components/telekom/app-interfaces").MenuItem[];
    hide: () => void;
    activeRouteId: string;
    isActive: boolean;
    active: boolean;
}>;
export declare const AppNavigationMainMobile: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    hide: () => void;
    navigation: import("@telekom/scale-components/dist/types/components/telekom/app-interfaces").MenuItem[];
    activeRouteId: string;
}>;
export declare const AppNavigationSectorMobile: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    hide: () => void;
    navigation: import("@telekom/scale-components/dist/types/components/telekom/app-interfaces").MenuItem[];
    activeSectorId: string;
}>;
export declare const AppNavigationUserMenu: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    hide: () => void;
    navigation: any;
}>;
export declare const ScaleAccordion: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    styles: string;
    dependent: boolean;
    expanded: boolean;
    headingLevel: number;
    iconLocation: "left" | "right";
}>;
export declare const ScaleAlert: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    open: () => Promise<void>;
}, unknown, {
    size: string;
    variant: string;
    headline: string;
    opened: boolean;
    timeout: number | boolean;
    icon: string;
    styles: string;
}>;
export declare const ScaleAppFooter: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    footerNavigation: any;
    variant: string;
    copyright: string;
    logoHref: string;
    logoTitle: string;
    logoClick: any;
    logoAriaDescribedBy: string;
    styles: string;
}>;
export declare const ScaleAppHeader: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    logoHref: string;
    logoTitle: string;
    logoClick: any;
    logoAriaDescribedBy: string;
    claimLang: string;
    portalName: string;
    mainNavigation: any;
    iconNavigation: any;
    userNavigation: any;
    sectorNavigation: any;
    addonNavigation: any;
    activeRouteId: string;
    activeSectorId: string;
    sticky: boolean;
    isMegaMenuVisible: boolean;
    megaMenuVisible: boolean;
    isMobileMenuVisible: boolean;
    mobileMenuVisible: boolean;
}>;
export declare const ScaleAppShell: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    portalName: string;
    claimLang: string;
    logoHref: string;
    logoTitle: string;
    logoClick: any;
    logoAriaDescribedBy: string;
    mainNavigation: any;
    iconNavigation: any;
    userNavigation: any;
    sectorNavigation: any;
    addonNavigation: any;
    activeRouteId: string;
    activeSectorId: string;
    sticky: boolean;
    styles: string;
}>;
export declare const ScaleBreadcrumb: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    separator: string;
    styles: string;
}>;
export declare const ScaleButton: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    setFocus: () => Promise<void>;
}, unknown, {
    size: "small" | "large";
    variant: string;
    disabled: boolean;
    type: "button" | "reset" | "submit";
    iconOnly: boolean;
    iconPosition: "before" | "after";
    href: string;
    target: string;
    styles: string;
    download: string;
    innerTabindex: number;
}>;
export declare const ScaleCallout: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: "small" | "large";
    variant: "primary" | "white" | "black" | "blue";
    rotation: number;
    asterisk: string;
}>;
export declare const ScaleCard: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    to: string;
    label: string;
    target: string;
    rel: string;
    styles: string;
    clickCard: any;
}>;
export declare const ScaleCarousel: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    vertical: boolean;
    styles: string;
}>;
export declare const ScaleChartStackCard: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    data: string | Record<"value" | "type" | "percentage", string>[];
    heading: string;
}>;
export declare const ScaleCheckbox: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    name: string;
    label: string;
    ariaLabel: string;
    hideLabel: boolean;
    helperText: string;
    status: string;
    invalid: boolean;
    disabled: boolean;
    checked: boolean;
    indeterminate: boolean;
    value: string;
    inputId: string;
    styles: string;
}>;
export declare const ScaleCheckboxGroup: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    name: string;
    label: string;
    ariaLabel: string;
    helperText: string;
    status: string;
    invalid: boolean;
    value: string;
    inputId: string;
    styles: string;
    selectText: string;
    unselectText: string;
}>;
export declare const ScaleCollapsible: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    expanded: boolean;
    headingLevel: number;
    styles: string;
    iconLocation: "left" | "right";
}>;
export declare const ScaleDataGrid: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    fields: any;
    freezeHeader: boolean;
    heading: string;
    height: string;
    hideBorder: boolean;
    hideHeader: boolean;
    hideInfo: boolean;
    hideMenu: boolean;
    numbered: boolean;
    pageSize: number;
    rows: any;
    selectable: boolean;
    selection: string[];
    shadeAlternate: boolean;
    styles: any;
    visible: boolean;
}>;
export declare const ScaleDatePicker: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    setFocus: () => Promise<void>;
    show: () => Promise<void>;
    hide: (moveFocusToButton?: boolean) => Promise<void>;
}, unknown, {
    name: string;
    popupTitle: string;
    identifier: string;
    disabled: boolean;
    role: string;
    direction: "left" | "right";
    required: boolean;
    value: string;
    min: string;
    max: string;
    firstDayOfWeek: any;
    localization: import("@duetds/date-picker/dist/types/components/duet-date-picker/date-localization").DuetLocalizedText & {
        today: string;
    };
    dateAdapter: any;
    helperText: string;
    status: string;
    invalid: boolean;
    label: string;
    size: string;
    styles: string;
}>;
export declare const ScaleDivider: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    vertical: boolean;
    styles: string;
}>;
export declare const ScaleDropdown: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    name: string;
    label: string;
    size: string;
    helperText: string;
    status: string;
    invalid: boolean;
    disabled: boolean;
    required: boolean;
    value: string | number;
    inputId: string;
    multiple: boolean;
    visibleSize: number;
    transparent: boolean;
    controlled: boolean;
    styles: string;
}>;
export declare const ScaleGrid: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    columns: string;
    gutterY: string;
    gutterX: string;
    spacing: string;
    maxWidth: string;
}>;
export declare const ScaleGridItem: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: string;
    offset: string;
}>;
export declare const ScaleIcon: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    name: string;
    path: string;
    size: number;
    fill: string;
    stroke: string;
    focusable: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionAdd: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionAddCard: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionAutoLogin: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionBackspace: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionChangelog: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionCircleAdd: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionCircleClose: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionClose: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionCopyPaste: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionCutPaste: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionDisabledMicrophone: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionDownload: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionDragAndDrop: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionEdit: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionFastForward: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionFavorite: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionFilter: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionForward: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionFullScreen: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionHidePassword: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionIndeterminate: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionInstall: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionLink: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionLogout: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionLoop: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionMenu: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionMicrophone: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionMinimizeScreen: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionMore: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionMove: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionMute: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionNotification: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionPause: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionPin: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionPlay: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionPopUpWindow: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionPrint: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionRandom: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionRefresh: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionRemove: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionRestart: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionSearch: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionShoppingCart: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionShowPassword: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionSort: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionSoundOn: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionStreamOn: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionSuccess: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionThumbsDown: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionThumbsUp: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionTilesAdd: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionUpload: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionVolumeDown: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionVolumeUp: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionZoomIn: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconActionZoomOut: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconAlertCompliance: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconAlertError: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconAlertHelp: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconAlertImprintDataprivacy: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconAlertInformation: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconAlertLegal: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconAlertSecurity: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconAlertSuccess: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconAlertWarning: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationCallIncoming: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationCallOutgoing: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationChat: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationEmail: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationEndCall: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationFeedback: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationMessage: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationPhoneNumber: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationRecipient: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconCommunicationVoiceMessage: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentAchievement: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentApplications: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentBiometric: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentBookmark: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentCalendar: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentClipboard: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentClock: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentCreditCard: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentDelivery: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentDigitalBanking: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentDigitalMedia: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentDraftFile: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentESim: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentEu: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentFeatures: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentFlexibleTariffs: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentHeart: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentHistory: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentInternational: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentInternationalSms: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentInterview: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentKey: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentLock: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentMediaFolder: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentMoneyAt: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentMusic: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentNews: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentPrepaidActivate: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentPriceTag: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentRss: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentShop: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentSignal: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentSimCard: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentSmile: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentTariffs: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentTransport: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentUnlock: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentVoucher: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconContentWallet: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceAddDevice: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceCamera: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceChangeCamera: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceComputer: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceDevicePhone: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceDeviceRouter: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceDeviceTv: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceDeviceWatch: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceFixedLineServices: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceMediaReceiver: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceMobileDevicesCombination: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceMobileEquipment: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceMobilePhoneInsurance: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceMobileServices: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceNoCamera: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDevicePhotoCamera: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceRemoteController: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceReplacementMobilephone: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceScreenRotate: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceSmartSpeaker: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconDeviceTvAndMobile: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconHomeHome: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconHomeInternetAtHome: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconHomeIot: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconHomeNoWifi: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconHomeSmarthome: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconHomeWifi: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationCircleTopUp: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationCollapseDown: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationCollapseUp: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationExternalLink: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationInternalLink: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationLeft: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationLocation: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationMyLocation: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationRight: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationStart: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconNavigationTopUp: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconProcessOrderStatus: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconProcessProcessing: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconServiceDevicesService: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconServiceMaintanance: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconServiceServices: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconServiceSettings: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconServiceSupport: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconTProductMagentaCloud: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconTProductMagentaTv: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconTProductMagentaone: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconTProductMeasureInternetSpeed: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconTProductSeamlessConnectivity: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconTProductTelekomShopB: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconTProductUsage: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileAnalytics: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileAttachment: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileAudioFile: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileBilling: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileBussinesUsers: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileCommunities: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileContacts: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileContracts: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileFamilies: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileHandshake: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileIdCard: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileImageFile: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileLogout: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFilePdfFile: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileSwitchUsers: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileUser: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconUserFileVideos: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherCloudy: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherCloudyRain: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherCloudySleet: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherCloudySnow: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherCloudyThunderRain: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherCloudyThunderSnow: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherHeavySleet: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherHeavySnow: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherMoonClear: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherMoonCloudyA: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherMoonCloudyB: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherMoonRain: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherMoonSleet: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherMoonSnow: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherMoonThunderRain: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherMoonThunderSnow: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherOvercast: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherRain: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherSunny: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherThunderRain: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleIconWeatherThunderSnow: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: number;
    fill: string;
    color: string;
    selected: boolean;
    decorative: boolean;
    accessibilityTitle: string;
}>;
export declare const ScaleInput: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    type: "number" | "password" | "hidden" | "select" | "textarea" | "text" | "email" | "tel" | "checkbox" | "radio" | "url";
    name: string;
    variant: "animated" | "static";
    label: string;
    size: string;
    rows: number;
    cols: number;
    helperText: string;
    status: string;
    invalid: boolean;
    maxLength: number;
    minLength: number;
    placeholder: string;
    disabled: boolean;
    required: boolean;
    counter: boolean;
    checked: boolean;
    resize: "none" | "unset" | "vertical" | "horizontal";
    value: string | number;
    inputId: string;
    icon: string;
    multiple: boolean;
    visibleSize: number;
    transparent: boolean;
    controlled: boolean;
    styles: string;
}>;
export declare const ScaleLink: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    setFocus: () => Promise<void>;
}, unknown, {
    disabled: boolean;
    omitUnderline: boolean;
    href: string;
    download: boolean;
    iconPosition: "before" | "after";
    hreflang: string;
    ping: string;
    referrerpolicy: ReferrerPolicy;
    rel: string;
    target: "_self" | "_blank" | "_parent" | "_top";
    type: string;
    innerTabindex: number;
    styles: string;
}>;
export declare const ScaleList: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    ordered: boolean;
    styles: string;
}>;
export declare const ScaleListItem: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    ordered: boolean;
    index: number;
    marker: boolean;
    styles: string;
}>;
export declare const ScaleLoadingSpinner: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    variant: "primary" | "white";
    alignment: "vertical" | "horizontal";
    text: string;
    size: "small" | "large";
}>;
export declare const ScaleLogo: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    variant: "white" | "magenta";
    transparent: boolean;
    language: string;
    size: number;
    href: string;
    accessibilityTitle: string;
    styles: string;
    focusable: boolean;
    scrollIntoViewOnFocus: boolean;
    logoTitle: string;
    logoAriaDescribedBy: string;
}>;
export declare const ScaleLogoSvg: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    language: string;
    color: string;
    accessibilityTitle: string;
    role: "link" | "img";
    focusable: boolean;
}>;
export declare const ScaleMenuFlyout: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    closeOnSelect: boolean;
    direction: "left" | "right" | "bottom-right" | "bottom-left" | "top-right" | "top-left";
    styles: string;
}>;
export declare const ScaleMenuFlyoutDivider: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    styles: string;
}>;
export declare const ScaleMenuFlyoutItem: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    triggerEvent: (eventType: "click" | "keydown", key?: "Enter" | " " | "ArrowRight", closeOnSelect?: boolean) => Promise<void>;
}, unknown, {
    cascade: boolean;
    active: boolean;
    checkable: "checkbox" | "radio";
    checked: boolean;
    disabled: boolean;
    value: string;
    styles: string;
}>;
export declare const ScaleMenuFlyoutList: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    open: () => Promise<void>;
    close: (silent?: boolean) => Promise<void>;
    setFocus: () => Promise<void>;
}, unknown, {
    opened: boolean;
    trigger: () => HTMLElement;
    direction: "left" | "right" | "bottom-right" | "bottom-left" | "top-right" | "top-left";
    active: boolean;
    closeOnSelect: boolean;
    styles: string;
}>;
export declare const ScaleModal: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    customClass: string;
    heading: string;
    size: string;
    opened: boolean;
    duration: number;
    closeButtonLabel: string;
    alignActions: "left" | "right";
    styles: string;
}>;
export declare const ScaleNavIcon: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    isActive: boolean;
    active: boolean;
    href: string;
    clickLink: any;
    icon: string;
    isMobileMenuOpen: boolean;
    mobileMenuOpen: boolean;
    refMobileMenuToggle: any;
    refMobileUserMenuToggle: any;
    refUserMenuToggle: any;
    badge: boolean;
    badgeLabel: number;
}>;
export declare const ScaleNavMain: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    isActive: boolean;
    active: boolean;
    popup: boolean;
    isMegaMenuVisible: boolean;
    megaMenuVisible: boolean;
    href: string;
    name: string;
    clickLink: any;
}>;
export declare const ScaleNavSegment: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    isActive: boolean;
    active: boolean;
    href: string;
}>;
export declare const ScaleNotificationBadge: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    label: number;
    maxCharacters: number;
    type: "text" | "icon" | "nav-icon";
    clickHandler: any;
}>;
export declare const ScaleNotificationBanner: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    open: () => Promise<void>;
}, unknown, {
    variant: "error" | "success" | "informational" | "warning";
    dismissible: boolean;
    opened: boolean;
    autoHide: boolean;
    autoHideDuration: number;
    href: string;
}>;
export declare const ScaleNotificationMessage: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    open: () => Promise<void>;
}, unknown, {
    variant: "error" | "success" | "informational" | "warning";
    dismissible: boolean;
    opened: boolean;
    autoHide: boolean;
    autoHideDuration: number;
}>;
export declare const ScaleNotificationToast: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    open: () => Promise<void>;
}, unknown, {
    variant: "error" | "success" | "informational" | "warning";
    opened: boolean;
    animated: boolean;
    alignment: "bottom-right" | "bottom-left" | "top-right" | "top-left";
    positionVertical: number;
    positionHorizontal: number;
    fadeDuration: number;
    styles: string;
    story: boolean;
}>;
export declare const ScalePagination: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    hideBorders: boolean;
    hideBorder: boolean;
    pageSize: number;
    startElement: number;
    totalElements: number;
    styles: string;
    small: boolean;
    size: "small" | "large";
    ariaLabelFirstPage: string;
    ariaLabelNextPage: string;
    ariaLabelPreviousPage: string;
    ariaLabelLastPage: string;
}>;
export declare const ScaleProgressBar: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    busy: boolean;
    percentage: number;
    customColor: string;
    strokeWidth: number;
    showStatus: boolean;
    icon: string;
    statusDescription: string;
    statusInside: boolean;
    hasError: boolean;
    disabled: boolean;
    progressBarId: string;
    label: string;
    mute: boolean;
    styles: string;
}>;
export declare const ScaleRadioButton: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    name: string;
    label: string;
    helperText: string;
    status: string;
    invalid: boolean;
    disabled: boolean;
    checked: boolean;
    value: string | number;
    inputId: string;
    styles: string;
}>;
export declare const ScaleRadioButtonGroup: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    label: string;
    helperText: string;
    status: string;
    invalid: boolean;
}>;
export declare const ScaleRatingStars: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    starSize: "small" | "large";
    size: "small" | "large";
    minRating: number;
    maxRating: number;
    max: number;
    rating: number;
    readonly: boolean;
    disabled: boolean;
    ariaLabelTranslation: string;
    label: string;
    hideLabel: boolean;
    infoText: string;
}>;
export declare const ScaleSidebarNav: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    ariaLabel: string;
    collapsible: boolean;
    collapsibleMediaQuery: string;
    collapsibleLabel: string;
    styles: string;
}>;
export declare const ScaleSidebarNavCollapsible: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    tag: string;
    label: string;
    href: string;
    expanded: boolean;
    active: boolean;
    bold: boolean;
    condensed: boolean;
    nestingLevel: number;
    styles: string;
}>;
export declare const ScaleSidebarNavItem: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    condensed: boolean;
    bold: boolean;
    active: boolean;
    current: string | boolean;
    nestingLevel: number;
    styles: string;
}>;
export declare const ScaleSlider: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    name: string;
    value: number;
    min: number;
    max: number;
    step: number;
    label: string;
    showValue: boolean;
    unit: string;
    decimals: 0 | 1 | 2;
    customColor: string;
    disabled: boolean;
    trackSmall: boolean;
    thumbLarge: boolean;
    sliderId: string;
    styles: string;
}>;
export declare const ScaleSsrSlotFix: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, Record<never, any>>;
export declare const ScaleSwitch: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    checked: boolean;
    disabled: boolean;
    name: string;
    inputId: string;
    label: string;
    styles: string;
}>;
export declare const ScaleTabHeader: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    disabled: boolean;
    small: boolean;
    size: "small" | "large";
    styles: string;
    selected: boolean;
}>;
export declare const ScaleTabNav: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    small: boolean;
    size: "small" | "large";
    styles: string;
}>;
export declare const ScaleTabPanel: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    small: boolean;
    size: "small" | "large";
    styles: string;
}>;
export declare const ScaleTable: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    showSort: boolean;
    size: string;
    striped: boolean;
    styles: string;
}>;
export declare const ScaleTag: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: "small";
    variant: "secondary";
    href: string;
    target: string;
    dismissable: boolean;
    disabled: boolean;
    dismissText: string;
    styles: string;
}>;
export declare const ScaleTextField: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    type: "number" | "password" | "hidden" | "text" | "email" | "tel" | "url" | "date";
    name: string;
    label: string;
    size: string;
    helperText: string;
    status: string;
    invalid: boolean;
    maxLength: number;
    minLength: number;
    placeholder: string;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    counter: boolean;
    value: string | number;
    inputId: string;
    transparent: boolean;
    step: string;
    list: string;
    inputAutofocus: boolean;
    styles: string;
}>;
export declare const ScaleTextarea: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    name: string;
    label: string;
    rows: number;
    cols: number;
    helperText: string;
    status: string;
    invalid: boolean;
    maxLength: number;
    minLength: number;
    placeholder: string;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    counter: boolean;
    resize: "none" | "unset" | "vertical" | "horizontal";
    value: string | number;
    inputId: string;
    transparent: boolean;
    inputAutofocus: boolean;
    styles: string;
}>;
export declare const ScaleToast: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    open: () => Promise<void>;
}, unknown, {
    size: string;
    variant: string;
    opened: boolean;
    autoHide: number | boolean;
    animated: boolean;
    time: number;
    positionTop: number;
    positionRight: number;
    fadeDuration: number;
    styles: string;
}>;
export declare const ScaleToggleButton: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: "small" | "large" | "regular" | "xs";
    background: "white" | "grey";
    colorScheme: "monochrome" | "color";
    variant: "monochrome" | "color";
    disabled: boolean;
    selected: boolean;
    iconOnly: boolean;
    iconPosition: "before" | "after";
    hideBorder: false;
    radius: "left" | "right" | "both" | "neither";
    toggleButtonId: string;
    ariaLabel: string;
    styles: string;
    position: number;
    ariaLangSelected: string;
    ariaLangDeselected: string;
    ariaDescriptionTranslation: string;
}>;
export declare const ScaleToggleGroup: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    size: "small" | "large" | "regular" | "xs";
    background: "white" | "grey";
    fullWidth: boolean;
    disabled: boolean;
    hideBorder: boolean;
    singleSelect: boolean;
    ariaLabelTranslation: string;
    colorScheme: "monochrome" | "color";
    variant: "monochrome" | "color";
    styles: string;
}>;
export declare const ScaleTooltip: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    showTooltip: () => Promise<void>;
    hideTooltip: () => Promise<void>;
}, unknown, {
    content: string;
    placement: "left" | "right" | "bottom" | "top" | "top-start" | "top-end" | "right-start" | "right-end" | "bottom-start" | "bottom-end" | "left-start" | "left-end";
    disabled: boolean;
    distance: number;
    open: boolean;
    skidding: number;
    trigger: string;
    flip: boolean;
    preventOverflow: boolean;
    styles: string;
}>;
